<template>
	<div />
<!-- ANCHOR TODO: implement similar version but then in WaveUI -->
<!--
	<o-field>
		<o-select v-model="selected" placeholder="Select a language">
			<option
				v-for="lang in languages"
				:key="lang.id"
				:value="lang.id"
			>
				{{ lang.name }}
			</option>
		</o-select>
	</o-field>
-->
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({

	data: function() {
		return {
			selected: this.$store.state.language,
			languages: [] // TODO Fix i18n
		};
	},

	watch: {
		selected(value) {
			// TODO Fix i18n
			// i18n.activate(value);
		}
	}
});
</script>